Package Details: vst2sdk 3.6.10-1

Git Clone URL: https://aur.archlinux.org/vst2sdk.git (read-only, click to copy)
Package Base: vst2sdk
Description: Steinberg's VST2 SDK
Upstream URL: http://www.steinberg.net/en/company/developers.html
Licenses: EULA
Conflicts: steinberg-vst36
Provides: steinberg-vst36, vst2sdk
Submitter: None
Maintainer: None
Last Packager: None
Votes: 34
Popularity: 0.32
First Submitted: 2021-10-13 23:49
Last Updated: 2021-10-13 23:49

Dependencies (0)

Required by (18)

Sources (1)

Latest Comments

1 2 Next › Last »

aggraef commented on 2021-10-15 10:41

Ok, I fixed the package for now, but it would be nice if someone else would be willing to maintain it in the future.

Switching to the 3.6.10 package gave me build errors, so we're using the same 3.6.7 package from the web archive for now.

aggraef commented on 2021-10-15 10:32

@usrmusicman, the package is up for grabs, maybe you'd be willing to maintain it?

Anonymous comment on 2021-10-13 23:29

Please use this link and update the package to 3.6.10, this is the last working version to use the proper vst2 sdk https://web.archive.org/web/20181016150224/https://download.steinberg.net/sdk_downloads/vstsdk3610_11_06_2018_build_37.zip

rgbpanda commented on 2021-10-03 17:43

This only worked for me changing the source URL to https://web.archive.org/web/20190111193507if_/https://www.steinberg.net/sdk_downloads/vstsdk367_03_03_2017_build_352.zip

3u41c commented on 2021-10-01 01:33

Someone should probably update this package or create a new one since the cdn url for the zip archive returns a 404 error. Here's the new and updated sdk url: https://download.steinberg.net/sdk_downloads/vst-sdk_3.7.3_build-20_2021-08-10.zip

dsonck92 commented on 2020-09-04 15:50

I will take a look at it later as it requires some more work than I originally anticipated, I will also have to look whether this breaks any other aur packages.

SwooshyCueb commented on 2020-09-01 20:41

3.6.14 has been out for a bit: https://download.steinberg.net/sdk_downloads/vst-sdk_3.6.14_build-24_2019-11-29.zip

aggraef commented on 2020-02-08 19:48

@TheGoliath, thanks for taking care of this!

TheGoliath commented on 2020-02-07 20:58

@pha-qu @aggraef updated the package to patch the file accordinly

pha-qu commented on 2019-04-30 23:47

@aggraef : Presumably an unloved orphan. FYI anyone looking here the files distributed contain the bug referenced here: https://www.linuxmusicians.com/viewtopic.php?t=14990

The fix is to change the section:

------- VST3 SDK/pluginterfaces/vst2.x/aeffect.h line 67:

elif defined(GNUC)
#pragma pack(push,8)
#if defined(__linux__)
        #define VSTCALLBACK
#else
        #define VSTCALLBACK __cdecl
#endif

The conditional definition specific to Linux is missing, which results in lots of build errors when you try to build a VST2 plugin